/*
* RunUO 2.0 RC 2 
 * Script: Base Potion Mana, Managing File.
* Script by Energy
 * ICQ # 411-144-844
*/

using System;
using Server;

namespace Server.Items // BaseManaPotion
{
    public abstract class BaseManaPotion : BasePotion
    {
        public abstract double ManaRegen { get; }

        public BaseManaPotion( PotionEffect effect ) : base( 0xF08, effect )
        {
            Hue = 1152;
        }

        public BaseManaPotion( Serial serial ) : base( serial )
        {
        }

        public override void Serialize(GenericWriter writer)
        {
            base.Serialize(writer);

            writer.Write((int)0); // version
        }

        public override void Deserialize(GenericReader reader)
        {
            base.Deserialize(reader);

            int version = reader.ReadInt();
        }

        public override void Drink(Mobile from)
        {
            if (from.Mana < from.ManaMax)
            {
                from.Mana += Scale(from, (int)(ManaRegen * from.ManaMax));

                BasePotion.PlayDrinkEffect(from);

                this.Consume();
            }
            else
            {
                from.SendMessage( 0x22, "      .     .");  // 0x22,  . .
            }
        }
    }
}