/*
* RunUO 2.0 RC 2
 * Script by Energy
* ICQ# 411-144-844.
 * Script: Def Hight Alchemy - System Gump.
*/

using System;
using Server.Items;

namespace Server.Engines.Craft
{
	public class DefHightAlchemy : CraftSystem
	{
		public override SkillName MainSkill
		{
			get	{ return SkillName.Alchemy; } //  
		}

		public override string GumpTitleString 
		{
			get{ return "Hight Alchemy"; } // <CENTER>Hight Alchemy MENU</CENTER>
		}

		private static CraftSystem m_CraftSystem;

		public static CraftSystem CraftSystem
		{
			get
			{
				if ( m_CraftSystem == null )
					m_CraftSystem = new DefHightAlchemy();

				return m_CraftSystem;
			}
		}

		public override CraftECA ECA{ get{ return CraftECA.ChanceMinusSixtyToFourtyFive; } }

		public override double GetChanceAtMin( CraftItem item ) // 
		{
			return 0.0; // 0%, 0.5 = 50%.
		}

        private DefHightAlchemy() : base(1, 1, 1.25)// base( 1, 1, 3.0 )
		{
		}

		public override int CanCraft( Mobile from, BaseTool tool, Type itemType )
		{
			if ( tool.Deleted || tool.UsesRemaining < 0 ) //  0    
				return 1044038; // You have worn out your tool!
			else if ( !BaseTool.CheckAccessible( tool, from ) )
				return 1044263; // The tool must be on your person to use.

			return 0;
		}

		public override void PlayCraftEffect( Mobile from ) 
		{
			from.PlaySound( 0x241 );
		}

		public override int PlayEndingEffect( Mobile from, bool failed, bool lostMaterial, bool toolBroken, int quality, bool makersMark, CraftItem item )
		{
			if ( toolBroken )
				from.SendLocalizedMessage( 1044038 ); // You have worn out your tool

			if ( failed )
			{
				if ( lostMaterial )
					return 1044043; // You failed to create the item, and some of your materials are lost.
				else
					return 1044157; // You failed to create the item, but no materials were lost.
			}
			else
			{	
				return 1044154; // You create the item.
			}
		}

		public override void InitCraftList() //  . .
		{
			int index = -1;

			//Intelligence Potions
            index = AddCraft(typeof( IntelligencePotion ), "Intelligence Potions", "Intelligence Potion", 70.0, 90.0, typeof( WyrmsHearts ), "Wyrm's Hearts", 15);
			AddRes( index, typeof( Bottle ), "Bottle", 1 );

            index = AddCraft(typeof( GreaterIntelligence ), "Intelligence Potions", "Greater Intelligence Potion", 80.0, 65.0, typeof( WyrmsHearts ), "Wyrms's Hearts", 25);
            AddRes(index, typeof( Bottle ), "Bottle", 1);
            
            //Mana Potions
            index = AddCraft(typeof( SmallManaRegeneration ), "Mana Potions", "Small Mana Regeneration", 60.0, 90.9, typeof( EyeOfNewt ), "Eye Of Newt", 25);
            AddRes(index, typeof( Bottle ), "Bottle", 1);

            index = AddCraft(typeof( LargeManaRegeneration ), "Mana Potions", "Large Mana Regeneration", 70.0, 55.0, typeof( EyeOfNewt ), "Eye Of Newt", 35);
            AddRes(index, typeof( Bottle ), "Bottle", 1);

            //Reagents
            index = AddCraft(typeof( EyeOfNewt ), "Reagents", "Eye Of Newt", 99.9, 100.0, typeof( Sapphire ), "Sapphire", 250);
            AddRes(index, typeof( BlueDiamond ), "Blue Diamond", 20);

            index = AddCraft(typeof( WyrmsHearts ), "Reagents", "Wyrm's Hearts", 99.9, 100.0, typeof( Diamond ), "Diamond", 250);
            AddRes(index, typeof( DarkSapphire ), "Dark Sapphire", 25);
		}
	} //  
}